#!/usr/bin/env python
#-*- coding: UTF-8 -*-
 
import wx
from stomamisc import *

class CustomStatusBar(wx.StatusBar):
    ID_LED = wx.NewId()
    
    def __init__(self, parent):
        wx.StatusBar.__init__(self, parent, -1)
        self.parent = parent
        self.Bind(wx.EVT_SIZE, self.rePosition)
        self.dc = wx.ScreenDC()
        self.SetFieldsCount(4)
        self.SetStatusWidths([220, 22, 140, -1])
        self.SetStatusStyles([3, 3, 3, 3])  # wx.SB_SUNKEN geht nicht !!??
        self.led = wx.TextCtrl(self, -1, ' ', size = (14, 14), style = wx.TE_READONLY)
        self.setLed(RED)
        self.rePosition()        
    #-------------------------------------------------------------------------------------------------------

    def setLed(self, color, setoldval = False):
        self.led.SetBackgroundColour(color)
        self.led.Clear()
        if setoldval: self.oldcolor = color        
    #-------------------------------------------------------------------------------------------------------

    def restoreLed(self):
        self.led.SetBackgroundColour(self.oldcolor)
        self.led.Clear()
    #-------------------------------------------------------------------------------------------------------

    def rePosition(self, evt = None):
        w,h = self.dc.GetTextExtent(self.GetStatusText(2))
        self.SetStatusWidths([220, 22, w + 10, -1])
        rect = self.GetFieldRect(1)
        self.led.SetPosition(wx.Point(rect.x + 2, rect.y + 2))            
# - CustomStatusBar(wx.StatusBar):-------------------------------------------------------------------------
